Skip to navigation

Get Super Admin's Current Masquerading Company

Returns basic details for the Company the Super Admin is currently masquerading as.

Equivalent Storefront GraphQL API Query: superAdminMasquerading. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

superAdminIdintegerRequired

The unique numeric ID assigned to the Super Admin by B2B Edition. This ID does not match the BigCommerce customer account ID. To find the ID of a given Super Admin account, use the Server-to-Server Super Admin API.

Response

OK
codeintegerOptionalDefaults to 200
The HTTP Status code of the response.
messagestringOptionalDefaults to SUCCESS
Response message.
dataobjectOptional

Errors

403
Forbidden Error